Name:			pam_userpass
Version:	 	1.0.2
Release: 		%mkrel 7

%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	PAM module for USER/PASS-style protocols
License:	relaxed BSD and (L)GPL-compatible
Group:		Security
URL: 		http://www.openwall.com/pam
Source0:	ftp://ftp.openwall.com/pub/projects/pam/modules/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pam-devel

%description
pam_userpass is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing to verify
a username/password pair.  This module doesn't do any actual
authentication, -- other modules, such as pam_tcb, should be stacked
after it to provide the authentication.


%package -n %{libname}
Summary:	PAM module for USER/PASS-style protocols
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
pam_userpass is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing to verify
a username/password pair.  This module doesn't do any actual
authentication, -- other modules, such as pam_tcb, should be stacked
after it to provide the authentication.


%package -n %{develname}
Summary:	Libraries and header files for developing pam_userpass-aware applications
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	pam-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development libraries and header files required
for building pam_userpass-aware applications.


%prep
%setup -q
chmod 0644 LICENSE README

%build
CFLAGS="-Wall -fPIC %{optflags}" %make

%install
%makeinstall_std SECUREDIR=/%{_lib}/security LIBDIR=%{_libdir}
rm -f %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%doc LICENSE README
/%{_lib}/security/*so*
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/security/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-7.mga3
+ Revision: 362376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.0.2-6.mga3
+ Revision: 307495
- cleanup spec

* Wed Jan 12 2011 blino <blino> 1.0.2-6.mga1
+ Revision: 6852
- remove old ldconfig scriptlets
- imported package pam_userpass

